defmodule DecentralisedBookIndex.Sync.ApiClients.FetchJsonTest do
  use DecentralisedBookIndex.DataCase

  alias DecentralisedBookIndex.Sync.ApiClients.FetchJson
  alias DecentralisedBookIndex.Metadata

  alias DecentralisedBookIndex.TestEndpoints
  @test_server_endpoint TestEndpoints.test_api_endpoint()

  describe "authors api" do
    test "get an author" do
      {:ok, author} = Metadata.create_author("Author", "An description")

      assert {:ok, data} = FetchJson.get("#{@test_server_endpoint}/api/v1/json/authors/#{author.id}")
      assert data["data"]["id"] == author.id
    end
  end
end
